Memory Corruption Affecting microsoft.chakracore Open this link in a new tab package, versions [,1.11.24)


0.0
medium
  • Attack Complexity

    High

  • User Interaction

    Required

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-MICROSOFTCHAKRACORE-1050113

  • published

    10 Dec 2020

  • disclosed

    10 Dec 2020

  • credit

    Bruno Keith

How to fix?

Upgrade Microsoft.ChakraCore to version 1.11.24 or higher.

Overview

Microsoft.ChakraCore is a core part of the Chakra Javascript engine that powers Microsoft Edge

Affected versions of this package are vulnerable to Memory Corruption. The Chakra Scripting Engine is vulnerable to memory corruption via unknown attack vectors.

References